# $Id: javaunix.spec 61 2006-05-31 22:22:19Z rasan $

%define name 	javaunix
%define version	0.9.3.8
%define reldate	20010531
%define release	3rr
%define jhome	/usr/lib/jvm/java-1.5.0-sun-1.5.0.06
%define classdir %{_datadir}/%{name}/classes

%ifarch x86_64
%define arch amd64
%else
%define arch i386
%endif

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	Java API for accessing Unix environment.
License: 	XPeL
Group:		Development/Libraries	
URL: 		http://www.xenonsoft.demon.co.uk/products/javaunix/
Source: 	http://www.xenonsoft.demon.co.uk/products/javaunix/%{name}-%{version}-%{reldate}.src.tar.gz
Patch:		javaunix.patch	
BuildRequires:	java-1.5.0-sun = 0:1.5.0.06-1jpp
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
JavaUnix is a portable extension API for the Java Platform that
provide access to UNIX Environment and UNIX Filing System. The API
uses the Java Native Interface (JNI) to provide extra UNIX
functionality to Java programs. It is designed around a Service
Provider Interface, which flexibly and portably allows for different
implementations.

%prep
%setup -q -n JavaUnix-1.0
%patch -p1
echo %_arch

%build
export PATH=$PATH:.
export JAVA_HOME=%{jhome}
%configure
make MAKE_JRT_STUB_FLAGS="--verbose --srcdir %{classdir}"

%install
rm -rf %{buildroot}
export PATH=$PATH:.
export JAVA_HOME=%{buildroot}%{jhome}
%makeinstall MAKE_JRT_STUB_FLAGS="--verbose --srcdir %{classdir}"

pushd %{buildroot}%{jhome}/jre/lib/ext
mv Linux %{arch}
popd

mkdir -p %{buildroot}%{classdir}
for i in %{buildroot}%{_bindir}/*; do
    install -m 0644 `basename $i`.class %{buildroot}%{classdir}
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES TODO BUGS
%{_bindir}/*
%{_datadir}/%{name}
%{jhome}/jre/lib/ext/%{arch}/libjavaunix.so
%{jhome}/jre/lib/ext/javaunix.jar

%changelog
* Wed May 31 2006 Rasan Rasch <rasan@nyu.eud> 0.9.3.9-3rr
- Install class files for utility programs.

* Wed May 10 2006 Rasan Rasch <rasan@nyu.edu> 0.9.3.9-2rr
- Rebuild for Mandriva 2006 i586

* Mon Feb 13 2006 Rasan Rasch <rasan@nyu.edu> 0.9.3.8-1rr
- Initial RPM Release
- Build for fc5 x86_64
